/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.lightinit.hsdatagateway.modules.gateway.service;

import java.util.List;

import com.lightinit.hsdatagateway.common.persistence.Page;
import com.lightinit.hsdatagateway.common.service.CrudService;
import com.lightinit.hsdatagateway.modules.gateway.entity.BizApp;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.lightinit.hsdatagateway.common.persistence.Page;
import com.lightinit.hsdatagateway.common.service.CrudService;
import com.lightinit.hsdatagateway.modules.gateway.entity.BizApp;
import com.lightinit.hsdatagateway.modules.gateway.dao.BizAppDao;

/**
 * 应用管理Service
 * @Author yangrui
 * @version 2019-03-05
 */
@Service
@Transactional(readOnly = true)
public class BizAppService extends CrudService<BizAppDao, BizApp> {

	public BizApp get(Long id) {
		return super.get(id);
	}
	
	public List<BizApp> findList(BizApp bizApp) {
		return super.findList(bizApp);
	}
	
	public Page<BizApp> findPage(Page<BizApp> page, BizApp bizApp) {
		return super.findPage(page, bizApp);
	}
	
	@Transactional(readOnly = false)
	public void save(BizApp bizApp) {
		super.save(bizApp);
	}
	
	@Transactional(readOnly = false)
	public void delete(BizApp bizApp) {
		super.delete(bizApp);
	}

    public List<BizApp> findAllList() {
		BizApp bizApp =  new BizApp();
		return dao.findAllList(bizApp);
    }
}